Package org.h2gis.functions.system

## Class IntegerRange

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.system.IntegerRange

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class IntegerRange
    extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`IntegerRange()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Integer[]` `createArray​(int begin, int end)` Return an array of integers with a default step of 1.
`static Integer[]` `createArray​(int begin, int end, int step)` Return an array of integers
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### IntegerRange

    public IntegerRange()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### createArray

    public static Integer[] createArray​(int begin,
                                        int end)

Return an array of integers with a default step of 1.

Parameters:
  `begin` - from start
  `end` - to end
Returns:

#### createArray

    public static Integer[] createArray​(int begin,
                                        int end,
                                        int step)

Return an array of integers

Parameters:
  `begin` - from start
  `end` - to end
  `step` - increment
Returns: